bin_mdef_s Struct Reference

## Public Types

enum | { BIN_MDEF_FROM_TEXT , BIN_MDEF_IN_MEMORY , BIN_MDEF_ON_DISK }
| Allocation mode for this object.

## Data Fields

int | refcnt
int32 | n_ciphone
| Number of base (CI) phones.
int32 | n_phone
| Number of base (CI) phones + (CD) triphones.
int32 | n_emit_state
| Number of emitting states per phone (0 for heterogeneous)
int32 | n_ci_sen
| Number of CI senones; these are the first.
int32 | n_sen
| Number of senones (CI+CD)
int32 | n_tmat
| Number of transition matrices.
int32 | n_sseq
| Number of unique senone sequences.
int32 | n_ctx
| Number of phones of context.
int32 | n_cd_tree
| Number of nodes in cd_tree (below)
int16 | sil
| CI phone ID for silence.
mmio_file_t * | filemap
| File map for this file (if any)
char ** | ciname
| CI phone names.
cd_tree_t * | cd_tree
| Tree mapping CD phones to phone IDs.
mdef_entry_t * | phone
| All phone structures.
uint16 ** | sseq
| Unique senone sequences (2D array built at load time)
uint8 * | sseq_len
| Number of states in each sseq (NULL for homogeneous)
int16 * | cd2cisen
| Parent CI-senone id for each senone.
int16 * | sen2cimap
| Parent CI-phone for each senone (CI or CD)
enum bin_mdef_s:: { ... } | alloc_mode
| Allocation mode for this object.

## Detailed Description

Definition at line 117 of file bin_mdef.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/bin_mdef.h